diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
index c5b24904..7dea8b1d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/10_plus/properties.sql
@@ -25,14 +25,18 @@ WHERE
      db.datistemplate = {{show_user_defined_templates}} AND
 {% endif %}
 {% if did %}
-db.oid = {{ did|qtLiteral }}::OID
+    db.oid = {{ did|qtLiteral }}::OID
+{% else %}
+    {% if name %}
+        db.datname = {{ name|qtLiteral }}::text
+    {% endif %}
 {% endif %}
-{% if db_restrictions %}
 
-{% if did %}AND{% endif %}
-db.datname in ({{db_restrictions}})
-{% elif not did%}
-db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
+{% if db_restrictions %}
+    {% if did or name %}AND{% endif %}
+    db.datname in ({{db_restrictions}})
+{% elif not did and not name%}
+    db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 ORDER BY datname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
index 41d05452..0bd9b6e8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/properties.sql
@@ -36,17 +36,20 @@ FROM pg_catalog.pg_database db
     LEFT OUTER JOIN pg_catalog.pg_shdescription descr ON (
         db.oid=descr.objoid AND descr.classoid='pg_database'::regclass
     )
-WHERE {% if did %}
-db.oid = {{ did|qtLiteral }}::OID
+WHERE
+{% if did %}
+    db.oid = {{ did|qtLiteral }}::OID
+{% else %}
+    {% if name %}
+        db.datname = {{ name|qtLiteral }}::text
+    {% endif %}
 {% endif %}
-{% if db_restrictions %}
 
-{% if did %}AND{% endif %}
-db.datname in ({{db_restrictions}})
-{% elif not did%}
-db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
+{% if db_restrictions %}
+    {% if did or name %}AND{% endif %}
+    db.datname in ({{db_restrictions}})
+{% elif not did and not name%}
+    db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
-AND db.datistemplate in (false, {{show_system_objects}})
-
 ORDER BY datname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
index 2221e67e..fe5acc24 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
@@ -13,7 +13,8 @@ db.oid = {{ did|qtLiteral }}::OID
 {% if did %}AND{% endif %}
 db.datname in ({{db_restrictions}})
 {% elif not did%}
-db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
+    {% if db_restrictions %} AND {%endif%}
+    db.oid > {{ last_system_oid }}::OID OR db.datname IN ('postgres', 'edb')
 {% endif %}
 
 ORDER BY datname;
